package DB;
final public class WarningsHolder
	implements org.omg.CORBA.portable.Streamable
{
	public DB.Warning[] value;

	public WarningsHolder ()
	{
	}
	public WarningsHolder (DB.Warning[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return WarningsHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = WarningsHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		WarningsHelper.write(out,value);
	}
}
